Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum ContactSearch.Condition

    java.lang.Object
      java.lang.Enum<ContactSearch.Condition>
          com.skype.api.ContactSearch.Condition

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<ContactSearch.Condition>

Enclosing class:
  ContactSearch

    public static enum ContactSearch.Condition

extends java.lang.Enum<ContactSearch.Condition>
implements EnumConverting

List of available matching conditions that can be used in AddTerm methods.

Enum Constant Summary
`CONTAINS_WORD_PREFIXES` One of the words starts with searched value (string properties only).
`CONTAINS_WORDS` Contains the word (string properties only).
`EQ` Equals
`GE` Is greater or equal.
`GT` Is greater than
`LE` Less or equal
`LT` Is less than
`PREFIX_EQ` Start of a word macthes exactly (string properties only).
`PREFIX_GE` Start of a word is greater or equal (string properties only).
`PREFIX_LE` Start of a word is less or equal (string properties only).

Field Summary
`static int` | `CONTAINS_WORD_PREFIXES_VALUE`
`static int` | `CONTAINS_WORDS_VALUE`
`static int` | `EQ_VALUE`
`static int` | `GE_VALUE`
`static int` | `GT_VALUE`
`static int` | `LE_VALUE`
`static int` | `LT_VALUE`
`static int` | `PREFIX_EQ_VALUE`
`static int` | `PREFIX_GE_VALUE`
`static int` | `PREFIX_LE_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static ContactSearch.Condition` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static ContactSearch.Condition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContactSearch.Condition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQ

    public static final ContactSearch.Condition EQ

  Equals

### GT

    public static final ContactSearch.Condition GT

  Is greater than

### GE

    public static final ContactSearch.Condition GE

  Is greater or equal.

### LT

    public static final ContactSearch.Condition LT

  Is less than

### LE

    public static final ContactSearch.Condition LE

  Less or equal

### PREFIX_EQ

    public static final ContactSearch.Condition PREFIX_EQ

  Start of a word macthes exactly (string properties only).

### PREFIX_GE

    public static final ContactSearch.Condition PREFIX_GE

  Start of a word is greater or equal (string properties only).

### PREFIX_LE

    public static final ContactSearch.Condition PREFIX_LE

  Start of a word is less or equal (string properties only).

### CONTAINS_WORDS

    public static final ContactSearch.Condition CONTAINS_WORDS

  Contains the word (string properties only).

### CONTAINS_WORD_PREFIXES

    public static final ContactSearch.Condition CONTAINS_WORD_PREFIXES

  One of the words starts with searched value (string properties only).

Field Detail

### EQ_VALUE

    public static final int EQ_VALUE

See Also:
  Constant Field Values

### GT_VALUE

    public static final int GT_VALUE

See Also:
  Constant Field Values

### GE_VALUE

    public static final int GE_VALUE

See Also:
  Constant Field Values

### LT_VALUE

    public static final int LT_VALUE

See Also:
  Constant Field Values

### LE_VALUE

    public static final int LE_VALUE

See Also:
  Constant Field Values

### PREFIX_EQ_VALUE

    public static final int PREFIX_EQ_VALUE

See Also:
  Constant Field Values

### PREFIX_GE_VALUE

    public static final int PREFIX_GE_VALUE

See Also:
  Constant Field Values

### PREFIX_LE_VALUE

    public static final int PREFIX_LE_VALUE

See Also:
  Constant Field Values

### CONTAINS_WORDS_VALUE

    public static final int CONTAINS_WORDS_VALUE

See Also:
  Constant Field Values

### CONTAINS_WORD_PREFIXES_VALUE

    public static final int CONTAINS_WORD_PREFIXES_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static ContactSearch.Condition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContactSearch.Condition c : ContactSearch.Condition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContactSearch.Condition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static ContactSearch.Condition get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.